Package nl.tudelft.simulation.dsol.animation.gis.mapfile

## Class MapFileXMLParser.ValidationHandler

- java.lang.Object
- - org.xml.sax.helpers.DefaultHandler
  - - nl.tudelft.simulation.dsol.animation.gis.mapfile.MapFileXMLParser.ValidationHandler

All Implemented Interfaces:
  `ContentHandler`, `DTDHandler`, `EntityResolver`, `ErrorHandler`

Enclosing class:
  MapFileXMLParser

    protected static class MapFileXMLParser.ValidationHandler
    extends DefaultHandler

The validationHandler.

### Constructor Summary

Constructors
`protected` `ValidationHandler()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `error​(SAXParseException e)`
`void` `fatalError​(SAXParseException e)`

### Methods inherited from class org.xml.sax.helpers.DefaultHandler

`characters, endDocument, endElement, endPrefixMapping, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startElement, startPrefixMapping, unparsedEntityDecl, warning`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ValidationHandler

    protected ValidationHandler()

### Method Detail

#### error

    public void error​(SAXParseException e)
               throws SAXException

Specified by:
  `error` in interface `ErrorHandler`
Overrides:
  `error` in class `DefaultHandler`
Throws:
  `SAXException`

#### fatalError

    public void fatalError​(SAXParseException e)
                    throws SAXException

Specified by:
  `fatalError` in interface `ErrorHandler`
Overrides:
  `fatalError` in class `DefaultHandler`
Throws:
  `SAXException`